/**
 * unistd.h
 */

#ifndef UNITSTD_H_INCLUDED
#define UNITSTD_H_INCLUDED

#include <stddef.h>
#include <sys/types.h>

#define	F_OK		0		/* test for existence of file */
#define	X_OK		0x01	/* test for execute or search permission */
#define	W_OK		0x02	/* test for write permission */
#define	R_OK		0x04	/* test for read permission */


/**
 * ページサイズを返す
 */
long getpagesize();

int close(int fd);

ssize_t read(int fd, void *buf, size_t count);
ssize_t write(int fd, const void *buf, size_t count);   

char *getcwd(char *buf, size_t size);

#endif
